---
title: DOMMatrix()
slug: Web/API/DOMMatrix/DOMMatrix
tags:
  - API
  - Constructor
  - Experimental
  - Geometry
  - Geometry Interfaces
  - Reference
  - matrix
---
<p>{{APIRef("Geometry Interfaces")}}</p>

<p>The <strong><code>DOMMatrix</code></strong> constructor creates a new {{domxref("DOMMatrix")}} object which represents 4x4 matrices, suitable for 2D and 3D operations..</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>domMatrix</em> = new DOMMatrix([<em>init</em>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>init {{optional_inline}}</dt>
 <dd>A string containing a sequence of numbers or an array of numbers specifying the matrix you want to create, or a CSS transform string.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example creates a DOMMatrix to use as an argument for calling {{domxref("Point.matrixTransform()")}}.</p>

<pre class="brush: js notranslate">var point = new DOMPoint(5, 4);
var scaleX = 2;
var scaleY = 3;
var translateX = 12;
var translateY = 8;
var angle = Math.PI / 2;
var matrix = new DOMMatrix([
  Math.sin(angle) * scaleX,
  Math.cos(angle) * scaleX,
  -Math.sin(angle) * scaleY,
  Math.cos(angle) * scaleY,
  translateX,
  translateY
]);
var transformedPoint = point.matrixTransform(matrix);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces','#dom-dommatrixreadonly-dommatrixreadonly','DOMMatrix')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMMatrix.DOMMatrix")}}</p>
